Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.abox
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.abox.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementations library for SWRL ABox built-in methods. See here for documentation on this library. See here for documentation on defining SWRL built-in libraries.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `hasClass(List<BuiltInArgument> arguments)` Returns true if the individual named by the first argument is an instance of the class identified by the second argument.
`boolean` | `hasIndividual(List<BuiltInArgument> arguments)` Returns true if the class named by the first argument has an individual identified by the second argument.
`boolean` | `hasProperty(List<BuiltInArgument> arguments)` Returns true if the individual named by the first argument has a property specified by the second argument.
`boolean` | `hasURI(List<BuiltInArgument> arguments)` Returns true if the OWL class, property, or individual named by the first argument has a URI identified by the second argument.
`boolean` | `hasValue(List<BuiltInArgument> arguments)` Returns true if the individual named by the first argument has a property specified by the second argument with the value specified by the third argument.
`boolean` | `isConstant(List<BuiltInArgument> arguments)`
`boolean` | `isIndividual(List<BuiltInArgument> arguments)` Determine if a single argument is an OWL individual.
`boolean` | `isNumeric(List<BuiltInArgument> arguments)`
`boolean` | `notConstant(List<BuiltInArgument> arguments)`
`boolean` | `notNumeric(List<BuiltInArgument> arguments)`
`void` | `reset()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### isIndividual

    public boolean isIndividual(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Determine if a single argument is an OWL individual. If the argument is unbound, bind it to all OWL individuals in an ontology.

  Throws:
    `BuiltInException`

### hasValue

    public boolean hasValue(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Returns true if the individual named by the first argument has a property specified by the second argument with the value specified by the third argument. If the third argument in unbound, bind it to all the values for this property for the specified individual.

  Throws:
    `BuiltInException`

### hasProperty

    public boolean hasProperty(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Returns true if the individual named by the first argument has a property specified by the second argument. If the second argument in unbound, bind it to all the properties that currently have a value for this individual.

  Throws:
    `BuiltInException`

### hasIndividual

    public boolean hasIndividual(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Returns true if the class named by the first argument has an individual identified by the second argument. If the second argument is unbound, bind it to all individuals of the class.

  Throws:
    `BuiltInException`

### hasURI

    public boolean hasURI(List<BuiltInArgument> arguments)
                   throws BuiltInException

  Returns true if the OWL class, property, or individual named by the first argument has a URI identified by the second argument. If the second argument is unbound, bind it to URI of the resource.

  Throws:
    `BuiltInException`

### hasClass

    public boolean hasClass(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Returns true if the individual named by the first argument is an instance of the class identified by the second argument. If the second argument is unbound, bind it to all defining classes of the individual.

  Throws:
    `BuiltInException`

### isConstant

    public boolean isConstant(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

### notConstant

    public boolean notConstant(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Throws:
    `BuiltInException`

### isNumeric

    public boolean isNumeric(List<BuiltInArgument> arguments)
                      throws BuiltInException

  Throws:
    `BuiltInException`

### notNumeric

    public boolean notNumeric(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.